> For the complete documentation index, see [llms.txt](https://docs.coresignal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coresignal.com/api-introduction/requests/collect.md).

# Collect and Enrich

Retrieve individual records by ID or shorthand name, or enrich data from a website or profile URL. Learn to request complete records or select specific fields.

## Introduction to Collect requests

A collect request is an API call that requests data from a server. Each request returns a single record. To retrieve multiple records, use [bulk collect](/api-introduction/requests/bulk-collect.md) requests.

This type of request is commonly used with two kinds of endpoints:

* **Collect Endpoint**: Used to get a set of data using IDs or shorthand names.
* **Enrich Endpoint**: Used to get a set of data using websites or social media profile URLs as input.

### Discover products

Find APIs collect and enrich endpoints, request samples and additional information.

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>Company API</td><td><ul><li><a href="/company-data/api/collect.md">Collect</a></li><li><a href="/company-data/api/enrich.md">Enrich</a></li></ul></td><td></td></tr><tr><td>Company Posts API</td><td><ul><li><a href="/social-posts-data/company-posts-api/collect.md">Collect</a></li></ul></td><td></td></tr><tr><td>Employee API</td><td><ul><li><a href="/employee-data/api/collect.md">Collect</a></li></ul></td><td></td></tr><tr><td>Employee Posts API</td><td><ul><li><a href="/social-posts-data/employee-posts-api/collect.md">Collect</a></li></ul></td><td></td></tr><tr><td>Jobs API</td><td><ul><li><a href="/jobs-data/api/collect.md">Collect</a></li></ul></td><td></td></tr></tbody></table>

## Supported URL formats for Enrich endpoints

Enrich endpoints should handle a variety of URL formats and match them with the companies in the used dataset.

Examples of different valid inputs include, but are not limited to:

* Full profile URL (e.g., <https://www.apple.com/home>)
* Variations with/without trailing slashes or subdirectories
* Variations with/without `www`
* URLs with/without subdomains (e.g., <https://careers.amazon.com>)
* Variations with/without HTTP/HTTPS URL part.

## Collect all data

This is a simple request that collects a pre-defined set of information and is used to get a large set of data. See available templates below:

{% tabs %}
{% tab title="Collect" %}

```json
curl -X 'GET' \
  'https://api.coresignal.com/cdapi/v2/{entity}/collect/{profile_id/shorthand_name}' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}'
```

{% endtab %}

{% tab title="Enrich" %}

```json
curl -X 'GET' \
  'https://api.coresignal.com/cdapi/v2/{entity}/enrich?website={URL}' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}'
```

{% endtab %}
{% endtabs %}

## Collect selected data

Field Selection feature for Collect and Enrich APIs enables choosing what fields are required in the output from the available fields in the documentation.

Use a query string parameter `fields` and specify the field you want to collect according to the applied entity. For multiple fields collection, separate each parameter with `&` symbol.

See available templates below:

{% tabs %}
{% tab title="Collect" %}

```json
curl -X 'GET' \
  'https://api.coresignal.com/cdapi/v2/{entity}/collect/{profile_id/shorthand_name}?fields={field_name}&fields={field_name}' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}'
```

{% endtab %}

{% tab title="Enrich" %}

```json
curl -X 'GET' \
  'https://api.coresignal.com/cdapi/v2/{entity}/enrich?website={URL}&fields={field_name}&fields={field_name}' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.coresignal.com/api-introduction/requests/collect.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
